# BaseDaskBackend

class `propertyestimator.backends.``BaseDaskBackend`(number_of_workers=1, resources_per_worker=<propertyestimator.backends.backends.ComputeResources object>)

  A base dask backend class, which implements functionality which is common to all other dask based backends.

  `__init__`(number_of_workers=1, resources_per_worker=<propertyestimator.backends.backends.ComputeResources object>)

    Constructs a new BaseDaskBackend object.

  Methods

  `__init__`([number_of_workers, …]) | Constructs a new BaseDaskBackend object.
  `start`() | Start the calculation backend.
  `stop`() | Stop the calculation backend.
  `submit_task`(function, *args, **kwargs) | Submit a task to the compute resources managed by this backend.

  `start`()

    Start the calculation backend.

  `stop`()

    Stop the calculation backend.

  `submit_task`(function, *args, **kwargs)

    Submit a task to the compute resources managed by this backend.

    Parameters

      function (function) – The function to run.

    Returns

      Returns a future object which will eventually point to the results of the submitted task.

    Return type

      Future